#include <Wire.h> 
#include <LiquidCrystal_I2C.h>
#include <OneWireSTM.h>

// Set the LCD address to 0x3F for a 16 chars and 2 line display
LiquidCrystal_I2C lcd(0x3F, 16, 2);

OneWire ds(PB10); // Датчик подключен к PB10.

void setup()
{
  // initialize the LCD
  lcd.begin();
  // Turn on the blacklight and print a message.
  lcd.backlight();
  lcd.clear();
}

void loop()
{
  byte i;
  byte data[10];
  int16_t celsius;
  
  ds.reset();
  ds.write(0xCC, 1);
  ds.write(0x44, 1);
  delay(1000);
  ds.reset();
  ds.write(0xCC, 1);
  ds.write(0xBE, 1);

  for ( i = 0; i < 9; i++) {           // we need 9 bytes
    data[i] = ds.read();
  }
  int16_t raw = (data[1] << 8) | data[0];
  celsius = raw / 16;
  
  lcd.clear();
  lcd.print("Temp = ");
  lcd.print(celsius);
  
}
